| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Macros | Functions | Variables
ORIENT_1 module documentation

## Macros
#define | ORIENT_1_DATA_TYPE fsl_orientation_DataBuffer_t

## Functions
void | Fusion_Task_task (uint32_t task_init_data)
void | MagCal_Task_task (uint32_t task_init_data)

## Variables
fsl_fusion_Sensor_Specific_Settings_t | ORIENT_1_Sensor_Specific_Config
| This allows access to the sensor specific configuration for the target sensor. More...
const isf_dsa_Adapter_t | ORIENT_1_Adapter
| This creates the sensor adapter instance for the target sensor. More...
fsl_fusion_Sensor_Specific_Settings_t | ORIENT_1_Sensor_Specific_Config
| This allows access to the sensor specific configuration for the target sensor. More...
const isf_dsa_Adapter_t | ORIENT_1_Adapter
| This allows access to the sensor adapter instance for the target sensor. More...

## Detailed Description

## Macro Definition Documentation

#define ORIENT_1_DATA_TYPE fsl_orientation_DataBuffer_t

Definition at line 52 of file ORIENT_1.h.

## Function Documentation

void Fusion_Task_task | ( | uint32_t | task_init_data | ) |

Definition at line 83 of file ORIENT_1.c.

References fsl_fusion_task().

Here is the call graph for this function:

void MagCal_Task_task | ( | uint32_t | task_init_data | ) |

Definition at line 98 of file ORIENT_1.c.

References fsl_MagCal_task().

Here is the call graph for this function:

## Variable Documentation

const isf_dsa_Adapter_t ORIENT_1_Adapter

Initial value:
=
{
.devInfo.pSupportedSensorTypes = fsl_fusion_SupportedSensorTypes,
.devInfo.pSupportedSensorDataTypes = fsl_fusion_SupportedDataTypes,
.devInfo.nNativeDataSetSize = sizeof(fsl_orientation_DataBuffer_t),
.control.Initialize = &fsl_fusion_virt_3D_orient_Initialize,
.control.ValidateSettings = &fsl_fusion_virt_3D_orient_ValidateSettings,
.control.Configure = &fsl_fusion_virt_3D_orient_Configure,
.control.StartData = &fsl_fusion_virt_3D_orient_StartData,
.control.EndData = &fsl_fusion_virt_3D_orient_EndData,
.control.Calibrate = &fsl_fusion_virt_3D_orient_Calibrate,
.control.Shutdown = &fsl_fusion_virt_3D_orient_Shutdown,
.control.Convert = &fsl_fusion_virt_3D_orient_Convert
}
fsl_fusion_virt_3D_orient_Initialize
isf_dsa_status_t fsl_fusion_virt_3D_orient_Initialize(isf_SensorHandle_t *pSensorHandle)
This is the concrete implementation of the orientation sensor adapter initialization.
Definition: fsl_fusion_virt_3D_orient.c:126
fsl_fusion_SupportedDataTypes
isf_SensorDataTypes_t fsl_fusion_SupportedDataTypes[]
Definition: fsl_fusion_virt_3D_orient.c:86
fsl_fusion_virt_3D_orient_Configure
isf_dsa_status_t fsl_fusion_virt_3D_orient_Configure(isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
This is the concrete implementation of the fusion sensor adapter configuration function.
Definition: fsl_fusion_virt_3D_orient.c:308
fsl_orientation_DataBuffer_t
Definition: fsl_fusion_virt_3D_orient.h:72
fsl_fusion_SupportedSensorTypes
isf_SensorTypes_t fsl_fusion_SupportedSensorTypes[]
Supported sensor and data types for the orientation sensor.
Definition: fsl_fusion_virt_3D_orient.c:85
fsl_fusion_virt_3D_orient_Shutdown
isf_dsa_status_t fsl_fusion_virt_3D_orient_Shutdown(isf_SensorHandle_t *pSensorHandle)
This is the concrete implementation of the orientation sensor adapter for shutdown ...
Definition: fsl_fusion_virt_3D_orient.c:731
fsl_fusion_virt_3D_orient_EndData
isf_dsa_status_t fsl_fusion_virt_3D_orient_EndData(isf_SensorHandle_t *pSensorHandle)
This is the concrete implementation of the orientation sensor adapter for End Data.
Definition: fsl_fusion_virt_3D_orient.c:621
fsl_fusion_virt_3D_orient_ValidateSettings
isf_dsa_status_t fsl_fusion_virt_3D_orient_ValidateSettings(isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
This is the concrete implementation of the orientation sensor adapter for validating current settings...
Definition: fsl_fusion_virt_3D_orient.c:245
fsl_fusion_virt_3D_orient_StartData
isf_dsa_status_t fsl_fusion_virt_3D_orient_StartData(isf_SensorHandle_t *pSensorHandle)
This is the concrete implementation of the orientation sensor adapter for start Data.
Definition: fsl_fusion_virt_3D_orient.c:528
fsl_fusion_virt_3D_orient_Convert
isf_dsa_status_t fsl_fusion_virt_3D_orient_Convert(volatile isf_SensorHandle_t *pSensorHandle, isf_SensorDataTypes_t convertToType, isf_dsa_result_types_t resultType, void *pNativeSample, void *pConvertedSample, int32 *numBytes)
This function coverts the raw sample data to the desired output type.
Definition: fsl_fusion_virt_3D_orient.c:1144
fsl_fusion_virt_3D_orient_Calibrate
isf_dsa_status_t fsl_fusion_virt_3D_orient_Calibrate(isf_SensorHandle_t *pSensorHandle, void *pCalData)
This is the concrete implementation of the orientation sensor adapter for calibration ...
Definition: fsl_fusion_virt_3D_orient.c:714

This creates the sensor adapter instance for the target sensor.

This allows access to the sensor adapter instance for the target sensor.

See also
  ::isf_sm_dsa_adapter.h for details of the ::sm_DsaAdapter_t.

Definition at line 61 of file ORIENT_1.c.

const isf_dsa_Adapter_t ORIENT_1_Adapter

This allows access to the sensor adapter instance for the target sensor.

This allows access to the sensor adapter instance for the target sensor.

See also
  ::isf_sm_dsa_adapter.h for details of the ::sm_DsaAdapter_t.

Definition at line 61 of file ORIENT_1.c.

fsl_fusion_Sensor_Specific_Settings_t ORIENT_1_Sensor_Specific_Config

Initial value:
=
{
.algorithmConfig =
{
.outputDataRate = ORIENTATION_OUTPUT_PERIOD_USECS,
.coordinateSystem = THISCOORDSYSTEM,
.accelOversampleRatio = ACCEL_OVERSAMPLE_RATIO,
.magOversampleRatio = MAG_OVERSAMPLE_RATIO,
.gyroOversampleRatio = GYRO_OVERSAMPLE_RATIO,
},
.accelerometerSensorId = DSA_MMA865x_1,
.magnetometerSensorId = DSA_MAG3110_1,
.gyroSensorId = DSA_FXAS21002_1,
.lowPassFilterEnabled = TRUE,
.algorithmToUse = ALGO_CHOICE,
}
ORIENTATION_OUTPUT_PERIOD_USECS
#define ORIENTATION_OUTPUT_PERIOD_USECS
Definition: fusion_config.h:20
TRUE
#define TRUE
Definition: isf_types.h:52
DSA_MMA865x_1
Definition: isf_sensor_configuration.h:29
GYRO_OVERSAMPLE_RATIO
#define GYRO_OVERSAMPLE_RATIO
Definition: fusion_config.h:24
DSA_FXAS21002_1
Definition: isf_sensor_configuration.h:25
MAG_OVERSAMPLE_RATIO
#define MAG_OVERSAMPLE_RATIO
Definition: fusion_config.h:23
THISCOORDSYSTEM
#define THISCOORDSYSTEM
Definition: fusion_config.h:37
ACCEL_OVERSAMPLE_RATIO
#define ACCEL_OVERSAMPLE_RATIO
Definition: fusion_config.h:22
DSA_MAG3110_1
Definition: isf_sensor_configuration.h:23
ALGO_CHOICE
#define ALGO_CHOICE
Definition: fusion_config.h:26

This allows access to the sensor specific configuration for the target sensor.

Definition at line 39 of file ORIENT_1.c.

fsl_fusion_Sensor_Specific_Settings_t ORIENT_1_Sensor_Specific_Config

This allows access to the sensor specific configuration for the target sensor.

Definition at line 39 of file ORIENT_1.c.

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.